Sent mass messages
curl --request GET \
--url https://api.ofauth.com/v3/access/analytics/mass-messages/sent \
--header 'Authorization: Bearer <token>' \
--header 'x-linked-account-id: <api-key>'import requests
url = "https://api.ofauth.com/v3/access/analytics/mass-messages/sent"
headers = {
"x-linked-account-id": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-linked-account-id': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.ofauth.com/v3/access/analytics/mass-messages/sent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ofauth.com/v3/access/analytics/mass-messages/sent",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-linked-account-id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ofauth.com/v3/access/analytics/mass-messages/sent"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-linked-account-id", "<api-key>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ofauth.com/v3/access/analytics/mass-messages/sent")
.header("x-linked-account-id", "<api-key>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ofauth.com/v3/access/analytics/mass-messages/sent")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-linked-account-id"] = '<api-key>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": 123,
"date": "<string>",
"text": "<string>",
"media": [
{
"id": 123,
"type": "photo",
"convertedToVideo": true,
"canView": true,
"hasError": true,
"createdAt": "<string>",
"isReady": true,
"duration": 123,
"releaseForms": [
{
"id": 123,
"name": "<string>",
"partnerSource": "<string>",
"type": "<string>",
"user": {
"id": 123,
"name": "<string>",
"username": "<string>",
"displayName": "<string>",
"isVerified": true,
"avatar": "<string>",
"avatarThumbs": {},
"ivStatus": "<string>",
"isFromGuest": true
}
}
],
"hasCustomPreview": true,
"videoSources": {
"240": "<string>",
"720": "<string>"
},
"files": {
"full": {
"url": "<string>",
"sources": [
{
"url": "<string>",
"width": 123,
"height": 123,
"type": "<string>"
}
],
"width": 123,
"height": 123,
"size": 123
},
"thumb": {
"url": "<string>",
"width": 123,
"height": 123,
"size": 123
},
"preview": {
"url": "<string>",
"options": [
{
"url": "<string>",
"width": 123,
"height": 123,
"type": "<string>"
}
],
"width": 123,
"height": 123,
"size": 123
},
"squarePreview": {
"url": "<string>",
"width": 123,
"height": 123,
"size": 123
}
}
}
],
"previews": [
{
"id": 123,
"type": "photo",
"convertedToVideo": true,
"canView": true,
"hasError": true,
"createdAt": "<string>",
"isReady": true,
"duration": 123,
"releaseForms": [
{
"id": 123,
"name": "<string>",
"partnerSource": "<string>",
"type": "<string>",
"user": {
"id": 123,
"name": "<string>",
"username": "<string>",
"displayName": "<string>",
"isVerified": true,
"avatar": "<string>",
"avatarThumbs": {},
"ivStatus": "<string>",
"isFromGuest": true
}
}
],
"hasCustomPreview": true,
"videoSources": {
"240": "<string>",
"720": "<string>"
},
"files": {
"full": {
"url": "<string>",
"sources": [
{
"url": "<string>",
"width": 123,
"height": 123,
"type": "<string>"
}
],
"width": 123,
"height": 123,
"size": 123
},
"thumb": {
"url": "<string>",
"width": 123,
"height": 123,
"size": 123
},
"preview": {
"url": "<string>",
"options": [
{
"url": "<string>",
"width": 123,
"height": 123,
"type": "<string>"
}
],
"width": 123,
"height": 123,
"size": 123
},
"squarePreview": {
"url": "<string>",
"width": 123,
"height": 123,
"size": 123
}
}
}
],
"responseType": "<string>",
"rawText": "<string>",
"giphyId": "<string>",
"isFree": true,
"isMediaReady": true,
"mediaCount": 123,
"isTip": true,
"isReportedByMe": true,
"viewedCount": 123,
"sentCount": 123,
"isCanceled": true,
"releaseForms": [
{
"id": 123,
"name": "<string>",
"partnerSource": "<string>",
"type": "<string>",
"user": {
"id": 123,
"name": "<string>",
"username": "<string>",
"displayName": "<string>",
"isVerified": true,
"avatar": "<string>",
"avatarThumbs": {},
"ivStatus": "<string>",
"isFromGuest": true
}
}
],
"template": "<string>",
"canUnsend": true,
"unsendSeconds": 123,
"price": "<string>",
"purchasedCount": 123,
"canSendMessageToBuyers": true
}
],
"page": {
"nextCursor": "<string>",
"hasMore": true,
"cursor": null
}
}Mass Messages
Sent mass messages
Get results for sent mass messages
Required scope: analytics:read
GET
/
v3
/
access
/
analytics
/
mass-messages
/
sent
Sent mass messages
curl --request GET \
--url https://api.ofauth.com/v3/access/analytics/mass-messages/sent \
--header 'Authorization: Bearer <token>' \
--header 'x-linked-account-id: <api-key>'import requests
url = "https://api.ofauth.com/v3/access/analytics/mass-messages/sent"
headers = {
"x-linked-account-id": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-linked-account-id': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.ofauth.com/v3/access/analytics/mass-messages/sent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ofauth.com/v3/access/analytics/mass-messages/sent",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-linked-account-id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ofauth.com/v3/access/analytics/mass-messages/sent"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-linked-account-id", "<api-key>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ofauth.com/v3/access/analytics/mass-messages/sent")
.header("x-linked-account-id", "<api-key>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ofauth.com/v3/access/analytics/mass-messages/sent")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-linked-account-id"] = '<api-key>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": 123,
"date": "<string>",
"text": "<string>",
"media": [
{
"id": 123,
"type": "photo",
"convertedToVideo": true,
"canView": true,
"hasError": true,
"createdAt": "<string>",
"isReady": true,
"duration": 123,
"releaseForms": [
{
"id": 123,
"name": "<string>",
"partnerSource": "<string>",
"type": "<string>",
"user": {
"id": 123,
"name": "<string>",
"username": "<string>",
"displayName": "<string>",
"isVerified": true,
"avatar": "<string>",
"avatarThumbs": {},
"ivStatus": "<string>",
"isFromGuest": true
}
}
],
"hasCustomPreview": true,
"videoSources": {
"240": "<string>",
"720": "<string>"
},
"files": {
"full": {
"url": "<string>",
"sources": [
{
"url": "<string>",
"width": 123,
"height": 123,
"type": "<string>"
}
],
"width": 123,
"height": 123,
"size": 123
},
"thumb": {
"url": "<string>",
"width": 123,
"height": 123,
"size": 123
},
"preview": {
"url": "<string>",
"options": [
{
"url": "<string>",
"width": 123,
"height": 123,
"type": "<string>"
}
],
"width": 123,
"height": 123,
"size": 123
},
"squarePreview": {
"url": "<string>",
"width": 123,
"height": 123,
"size": 123
}
}
}
],
"previews": [
{
"id": 123,
"type": "photo",
"convertedToVideo": true,
"canView": true,
"hasError": true,
"createdAt": "<string>",
"isReady": true,
"duration": 123,
"releaseForms": [
{
"id": 123,
"name": "<string>",
"partnerSource": "<string>",
"type": "<string>",
"user": {
"id": 123,
"name": "<string>",
"username": "<string>",
"displayName": "<string>",
"isVerified": true,
"avatar": "<string>",
"avatarThumbs": {},
"ivStatus": "<string>",
"isFromGuest": true
}
}
],
"hasCustomPreview": true,
"videoSources": {
"240": "<string>",
"720": "<string>"
},
"files": {
"full": {
"url": "<string>",
"sources": [
{
"url": "<string>",
"width": 123,
"height": 123,
"type": "<string>"
}
],
"width": 123,
"height": 123,
"size": 123
},
"thumb": {
"url": "<string>",
"width": 123,
"height": 123,
"size": 123
},
"preview": {
"url": "<string>",
"options": [
{
"url": "<string>",
"width": 123,
"height": 123,
"type": "<string>"
}
],
"width": 123,
"height": 123,
"size": 123
},
"squarePreview": {
"url": "<string>",
"width": 123,
"height": 123,
"size": 123
}
}
}
],
"responseType": "<string>",
"rawText": "<string>",
"giphyId": "<string>",
"isFree": true,
"isMediaReady": true,
"mediaCount": 123,
"isTip": true,
"isReportedByMe": true,
"viewedCount": 123,
"sentCount": 123,
"isCanceled": true,
"releaseForms": [
{
"id": 123,
"name": "<string>",
"partnerSource": "<string>",
"type": "<string>",
"user": {
"id": 123,
"name": "<string>",
"username": "<string>",
"displayName": "<string>",
"isVerified": true,
"avatar": "<string>",
"avatarThumbs": {},
"ivStatus": "<string>",
"isFromGuest": true
}
}
],
"template": "<string>",
"canUnsend": true,
"unsendSeconds": 123,
"price": "<string>",
"purchasedCount": 123,
"canSendMessageToBuyers": true
}
],
"page": {
"nextCursor": "<string>",
"hasMore": true,
"cursor": null
}
}Authorizations
Headers
Query Parameters
Was this page helpful?